Class | Bio::Hinv::Hit2acc
In: | lib/bio/io/hinv.rb
Parent: | Object

serv = Bio::Hinv::Hit2acc.new serv.query("hit" => "HIT000022181") puts serv.result

### Methods

new result

### Included Modules

Common

### Public Class methods

new()

[Source]

         # File lib/bio/io/hinv.rb, line 138
    138:       def initialize
    139:         @url = BASE_URI + "hit2acc.php"
    140:       end

### Public Instance methods

result()

<?xml version=‘1.0’ encoding=‘UTF-8’?> <H-Inv>

     <ACCESSION-NO>AK097327</ACCESSION-NO>

</H-Inv>

[Source]

         # File lib/bio/io/hinv.rb, line 146
    146:       def result
    147:         @xml.elements['//ACCESSION-NO'].text
    148:       end

[Validate]